- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CDiskPathMenuItem Class Reference

Inheritance diagram for Exponent::GUI::Controls::CDiskPathMenuItem:

List of all members.

## Detailed Description

Menu item that represents a file on the disk.

Date:
  25/05/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CDiskPathMenuItem.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CDiskPathMenuItem.hpp.

## Public Member Functions

- CDiskPathMenuItem (const CSystemString &path, const CString &text, const long identifier, const EMenuItemTypes type, const bool enabled=true)
- const CSystemString & getPath () const
- virtual ~CDiskPathMenuItem ()

## Static Public Member Functions

- static void traverseDiskPath (const CSystemString &path, CMenu *menuToAddTo, const CString &extension)

## Protected Attributes

- CSystemString m_path

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CDiskPathMenuItem::CDiskPathMenuItem | ( | const CSystemString & | path,
|  | const CString & | text,
|  | const long | identifier,
|  | const EMenuItemTypes | type,
|  | const bool | enabled = `true` |
| ) |  |  |

Construction

Parameters:

  | path | The path to the file
  | text | The string representing the file
  | identifier | A unique id
  | type | The type of menu item
  | enabled | If true the menu is enabled, if false user cannot use it

See also:
  CMenuItem

virtual Exponent::GUI::Controls::CDiskPathMenuItem::~CDiskPathMenuItem | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CSystemString& Exponent::GUI::Controls::CDiskPathMenuItem::getPath | ( |  | ) | const`[inline]`

Get the path to the item

Return values:

  | const | CSystemString& The path to the file

Definition at line 71 of file CDiskPathMenuItem.hpp.

References m_path.

static void Exponent::GUI::Controls::CDiskPathMenuItem::traverseDiskPath | ( | const CSystemString & | path,
|  | CMenu * | menuToAddTo,
|  | const CString & | extension |
| ) |  |  | `[static]`

Traverse disk path (gets called recursively)

Parameters:

  | path | The current path, expects a full starting path
  | menuToAddTo | The menu that the items should be added to
  | extension | Any specified extension that you would like to use

## Member Data Documentation

CSystemString Exponent::GUI::Controls::CDiskPathMenuItem::m_path`[protected]`

The full path to the item

Definition at line 89 of file CDiskPathMenuItem.hpp.

Referenced by getPath().